package com.bonus.canteen.core.order.deprecated.vo;

import cn.hutool.core.util.NumberUtil;
import com.bonus.canteen.core.report.api.vo.ReportDeviceOrderSumVO;

public class OrdMoneyNumberMachineVo {
   private Long IntervalMoney;
   private Integer IntervalNumber;
   private Long DayMoney;
   private Integer DayNumber;
   private Long MonthMoney;
   private Integer MonthNumber;

   public static OrdMoneyNumberMachineVo of(ReportDeviceOrderSumVO orderSumVO) {
      OrdMoneyNumberMachineVo ordMoneyNumberMachineVo = new OrdMoneyNumberMachineVo();
      ordMoneyNumberMachineVo.setIntervalMoney(NumberUtil.null2Zero(orderSumVO.getCurrentMealTotalAmount()).longValue());
      ordMoneyNumberMachineVo.setIntervalNumber(orderSumVO.getCurrentMealTotalCount());
      ordMoneyNumberMachineVo.setDayMoney(NumberUtil.null2Zero(orderSumVO.getCurrentDayTotalAmount()).longValue());
      ordMoneyNumberMachineVo.setDayNumber(orderSumVO.getCurrentDayTotalCount());
      ordMoneyNumberMachineVo.setMonthMoney(NumberUtil.null2Zero(orderSumVO.getCurrentMonthTotalAmount()).longValue());
      ordMoneyNumberMachineVo.setMonthNumber(orderSumVO.getCurrentMonthTotalCount());
      return ordMoneyNumberMachineVo;
   }

   public Long getIntervalMoney() {
      return this.IntervalMoney;
   }

   public Integer getIntervalNumber() {
      return this.IntervalNumber;
   }

   public Long getDayMoney() {
      return this.DayMoney;
   }

   public Integer getDayNumber() {
      return this.DayNumber;
   }

   public Long getMonthMoney() {
      return this.MonthMoney;
   }

   public Integer getMonthNumber() {
      return this.MonthNumber;
   }

   public void setIntervalMoney(final Long IntervalMoney) {
      this.IntervalMoney = IntervalMoney;
   }

   public void setIntervalNumber(final Integer IntervalNumber) {
      this.IntervalNumber = IntervalNumber;
   }

   public void setDayMoney(final Long DayMoney) {
      this.DayMoney = DayMoney;
   }

   public void setDayNumber(final Integer DayNumber) {
      this.DayNumber = DayNumber;
   }

   public void setMonthMoney(final Long MonthMoney) {
      this.MonthMoney = MonthMoney;
   }

   public void setMonthNumber(final Integer MonthNumber) {
      this.MonthNumber = MonthNumber;
   }
}
